Bug 1675021 - golang-github-gonum-matrix: FTBFS in Fedora rawhide/f30 [NEEDINFO]
Summary: golang-github-gonum-matrix: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: golang-github-gonum-matrix
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fridolín Pokorný
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 18:34 UTC by Fedora Release Engineering
Modified: 2019-07-24 20:54 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-24 20:54:44 UTC
releng: needinfo? (fpokorny)


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 18:34 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 18:34 UTC, Fedora Release Engineering
no flags Details
state.log (769 bytes, text/plain)
2019-02-11 18:34 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 18:34:52 UTC
golang-github-gonum-matrix failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32395512


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix golang-github-gonum-matrix at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
golang-github-gonum-matrix will be orphaned. Before branching of Fedora 31,
golang-github-gonum-matrix will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 18:34:54 UTC
Created attachment 1530278 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 18:34:56 UTC
Created attachment 1530279 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 18:34:57 UTC
Created attachment 1530280 [details]
state.log

Comment 4 Jakub Čajka 2019-02-13 12:28:49 UTC
Caused by tests failure on aarch64(I guess float precision/comparison error):
+ go test -buildmode pie -compiler gc -ldflags '-extldflags '\''-Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld '\'''
----------------------------------------------------------------------
FAIL: eigen_test.go:13: S.TestEigen
eigen_test.go:89:
    c.Check(ef.d, check.DeepEquals, t.d)
... obtained []float64 = []float64{3.0000000000000027, -3.9999999999999987, -2.4307780943389487e-17}
... expected []float64 = []float64{3.0000000000000044, -4.000000000000003, -1.0980273383714707e-16}
eigen_test.go:96:
    c.Check(ef.V.Equals(t.v), check.Equals, true)
... obtained bool = false
... expected bool = true
eigen_test.go:89:
    c.Check(ef.d, check.DeepEquals, t.d)
... obtained []float64 = []float64{-6.2407534707185786, -1.3995889142010105, 6.640342384919596}
... expected []float64 = []float64{-6.240753470718579, -1.3995889142010132, 6.640342384919599}
eigen_test.go:96:
    c.Check(ef.V.Equals(t.v), check.Equals, true)
... obtained bool = false
... expected bool = true
----------------------------------------------------------------------
FAIL: dense_test.go:1047: S.TestNorm
dense_test.go:1110:
    c.Check(a.Norm(test.ord), check.Equals, test.norm, check.Commentf("Test %d: %v norm = %f", i, test.a, test.norm))
... obtained float64 = 25.462407436036386
... expected float64 = 25.46240743603639
... Test 3: [[1 2 3] [4 5 6] [7 8 9] [10 11 12]] norm = 25.462407
dense_test.go:1110:
    c.Check(a.Norm(test.ord), check.Equals, test.norm, check.Commentf("Test %d: %v norm = %f", i, test.a, test.norm))
... obtained float64 = 6.522406159438587e-16
... expected float64 = 9.013990486603544e-16
... Test 4: [[1 2 3] [4 5 6] [7 8 9] [10 11 12]] norm = 0.000000
----------------------------------------------------------------------
FAIL: symmetric_test.go:201: S.TestRankTwo
symmetric_test.go:241:
    c.Check(s.At(i, j), check.Equals, v)
... obtained float64 = 3.188932127892363
... expected float64 = 3.188932127892362
symmetric_test.go:251:
    c.Check(s.At(i, j), check.Equals, v)
... obtained float64 = 3.188932127892363
... expected float64 = 3.188932127892362
symmetric_test.go:241:
    c.Check(s.At(i, j), check.Equals, v)
... obtained float64 = 2.889438912912917
... expected float64 = 2.8894389129129165
symmetric_test.go:241:
    c.Check(s.At(i, j), check.Equals, v)
... obtained float64 = 1.8892056833304842
... expected float64 = 1.889205683330484
symmetric_test.go:241:
    c.Check(s.At(i, j), check.Equals, v)
... obtained float64 = 0.31869011344151393
... expected float64 = 0.3186901134415139
symmetric_test.go:241:
    c.Check(s.At(i, j), check.Equals, v)
... obtained float64 = 1.4218657750007095
... expected float64 = 1.4218657750007098
symmetric_test.go:251:
    c.Check(s.At(i, j), check.Equals, v)
... obtained float64 = 2.889438912912917
... expected float64 = 2.8894389129129165
symmetric_test.go:251:
    c.Check(s.At(i, j), check.Equals, v)
... obtained float64 = 1.8892056833304842
... expected float64 = 1.889205683330484
symmetric_test.go:251:
    c.Check(s.At(i, j), check.Equals, v)
... obtained float64 = 0.31869011344151393
... expected float64 = 0.3186901134415139
symmetric_test.go:251:
    c.Check(s.At(i, j), check.Equals, v)
... obtained float64 = 1.4218657750007095
... expected float64 = 1.4218657750007098
----------------------------------------------------------------------
FAIL: svd_test.go:13: S.TestSVD
svd_test.go:175:
    c.Check(svd.Sigma, check.DeepEquals, t.sigma)
... obtained []float64 = []float64{5.464985704219041, 0.3659661906262582}
... expected []float64 = []float64{5.464985704219041, 0.365966190626258}
svd_test.go:180:
    c.Check(svd.U.Equals(t.u), check.Equals, true)
... obtained bool = false
... expected bool = true
svd_test.go:186:
    c.Check(svd.V.Equals(t.v), check.Equals, true)
... obtained bool = false
... expected bool = true
svd_test.go:175:
    c.Check(svd.Sigma, check.DeepEquals, t.sigma)
... obtained []float64 = []float64{5.464985704219041, 0.3659661906262582}
... expected []float64 = []float64{5.464985704219041, 0.365966190626258}
svd_test.go:180:
    c.Check(svd.U.Equals(t.u), check.Equals, true)
... obtained bool = false
... expected bool = true
svd_test.go:175:
    c.Check(svd.Sigma, check.DeepEquals, t.sigma)
... obtained []float64 = []float64{5.464985704219041, 0.3659661906262582}
... expected []float64 = []float64{5.464985704219041, 0.365966190626258}
svd_test.go:186:
    c.Check(svd.V.Equals(t.v), check.Equals, true)
... obtained bool = false
... expected bool = true
svd_test.go:175:
    c.Check(svd.Sigma, check.DeepEquals, t.sigma)
... obtained []float64 = []float64{5.464985704219041, 0.3659661906262582}
... expected []float64 = []float64{5.464985704219041, 0.365966190626258}
svd_test.go:175:
    c.Check(svd.Sigma, check.DeepEquals, t.sigma)
... obtained []float64 = []float64{21.259500881097427, 1.5415021616856572, 1.287397907461363}
... expected []float64 = []float64{21.259500881097434, 1.5415021616856566, 1.2873979074613628}
svd_test.go:180:
    c.Check(svd.U.Equals(t.u), check.Equals, true)
... obtained bool = false
... expected bool = true
svd_test.go:186:
    c.Check(svd.V.Equals(t.v), check.Equals, true)
... obtained bool = false
... expected bool = true
svd_test.go:175:
    c.Check(svd.Sigma, check.DeepEquals, t.sigma)
... obtained []float64 = []float64{21.259500881097427, 1.5415021616856572, 1.287397907461363}
... expected []float64 = []float64{21.259500881097434, 1.5415021616856566, 1.2873979074613628}
svd_test.go:180:
    c.Check(svd.U.Equals(t.u), check.Equals, true)
... obtained bool = false
... expected bool = true
svd_test.go:175:
    c.Check(svd.Sigma, check.DeepEquals, t.sigma)
... obtained []float64 = []float64{21.259500881097427, 1.5415021616856572, 1.287397907461363}
... expected []float64 = []float64{21.259500881097434, 1.5415021616856566, 1.2873979074613628}
svd_test.go:186:
    c.Check(svd.V.Equals(t.v), check.Equals, true)
... obtained bool = false
... expected bool = true
----------------------------------------------------------------------
FAIL: symmetric_test.go:151: S.TestSymRankOne
symmetric_test.go:185:
    c.Check(s.At(i, j), check.Equals, v)
... obtained float64 = 0.6671949589151246
... expected float64 = 0.6671949589151247
symmetric_test.go:185:
    c.Check(s.At(i, j), check.Equals, v)
... obtained float64 = 0.640253908811408
... expected float64 = 0.6402539088114079
symmetric_test.go:195:
    c.Check(s.At(i, j), check.Equals, v)
... obtained float64 = 0.6671949589151246
... expected float64 = 0.6671949589151247
symmetric_test.go:195:
    c.Check(s.At(i, j), check.Equals, v)
... obtained float64 = 0.640253908811408
... expected float64 = 0.6402539088114079
symmetric_test.go:185:
    c.Check(s.At(i, j), check.Equals, v)
... obtained float64 = 0.5642800867093193
... expected float64 = 0.5642800867093192
symmetric_test.go:185:
    c.Check(s.At(i, j), check.Equals, v)
... obtained float64 = 1.090585511764963
... expected float64 = 1.0905855117649632
symmetric_test.go:195:
    c.Check(s.At(i, j), check.Equals, v)
... obtained float64 = 0.5642800867093193
... expected float64 = 0.5642800867093192
symmetric_test.go:195:
    c.Check(s.At(i, j), check.Equals, v)
... obtained float64 = 1.090585511764963
... expected float64 = 1.0905855117649632
symmetric_test.go:185:
    c.Check(s.At(i, j), check.Equals, v)
... obtained float64 = 0.15464588748566846
... expected float64 = 0.15464588748566843
symmetric_test.go:185:
    c.Check(s.At(i, j), check.Equals, v)
... obtained float64 = 0.5058258454682615
... expected float64 = 0.5058258454682614
symmetric_test.go:185:
    c.Check(s.At(i, j), check.Equals, v)
... obtained float64 = 0.418776467208917
... expected float64 = 0.4187764672089169
symmetric_test.go:185:
    c.Check(s.At(i, j), check.Equals, v)
... obtained float64 = 0.9549768150648502
... expected float64 = 0.9549768150648501
symmetric_test.go:185:
    c.Check(s.At(i, j), check.Equals, v)
... obtained float64 = 0.3320710063637549
... expected float64 = 0.332071006363755
symmetric_test.go:185:
    c.Check(s.At(i, j), check.Equals, v)
... obtained float64 = 0.47301744586980216
... expected float64 = 0.4730174458698021
symmetric_test.go:185:
    c.Check(s.At(i, j), check.Equals, v)
... obtained float64 = 0.6050935715613689
... expected float64 = 0.6050935715613688
symmetric_test.go:185:
    c.Check(s.At(i, j), check.Equals, v)
... obtained float64 = 0.6361296956935033
... expected float64 = 0.6361296956935034
symmetric_test.go:185:
    c.Check(s.At(i, j), check.Equals, v)
... obtained float64 = 0.9642311039692898
... expected float64 = 0.9642311039692899
symmetric_test.go:185:
    c.Check(s.At(i, j), check.Equals, v)
... obtained float64 = 0.7706053504804199
... expected float64 = 0.77060535048042
symmetric_test.go:185:
    c.Check(s.At(i, j), check.Equals, v)
... obtained float64 = 0.547917316677862
... expected float64 = 0.5479173166778619
symmetric_test.go:185:
    c.Check(s.At(i, j), check.Equals, v)
... obtained float64 = 0.9948174856356331
... expected float64 = 0.9948174856356332
symmetric_test.go:185:
    c.Check(s.At(i, j), check.Equals, v)
... obtained float64 = 1.3267049981949872
... expected float64 = 1.3267049981949874
symmetric_test.go:185:
    c.Check(s.At(i, j), check.Equals, v)
... obtained float64 = 0.7101181039432486
... expected float64 = 0.7101181039432487
symmetric_test.go:195:
    c.Check(s.At(i, j), check.Equals, v)
... obtained float64 = 0.15464588748566846
... expected float64 = 0.15464588748566843
symmetric_test.go:195:
    c.Check(s.At(i, j), check.Equals, v)
... obtained float64 = 0.5058258454682615
... expected float64 = 0.5058258454682614
symmetric_test.go:195:
    c.Check(s.At(i, j), check.Equals, v)
... obtained float64 = 0.418776467208917
... expected float64 = 0.4187764672089169
symmetric_test.go:195:
    c.Check(s.At(i, j), check.Equals, v)
... obtained float64 = 0.9549768150648502
... expected float64 = 0.9549768150648501
symmetric_test.go:195:
    c.Check(s.At(i, j), check.Equals, v)
... obtained float64 = 0.3320710063637549
... expected float64 = 0.332071006363755
symmetric_test.go:195:
    c.Check(s.At(i, j), check.Equals, v)
... obtained float64 = 0.47301744586980216
... expected float64 = 0.4730174458698021
symmetric_test.go:195:
    c.Check(s.At(i, j), check.Equals, v)
... obtained float64 = 0.6050935715613689
... expected float64 = 0.6050935715613688
symmetric_test.go:195:
    c.Check(s.At(i, j), check.Equals, v)
... obtained float64 = 0.6361296956935033
... expected float64 = 0.6361296956935034
symmetric_test.go:195:
    c.Check(s.At(i, j), check.Equals, v)
... obtained float64 = 0.9642311039692898
... expected float64 = 0.9642311039692899
symmetric_test.go:195:
    c.Check(s.At(i, j), check.Equals, v)
... obtained float64 = 0.7706053504804199
... expected float64 = 0.77060535048042
symmetric_test.go:195:
    c.Check(s.At(i, j), check.Equals, v)
... obtained float64 = 0.547917316677862
... expected float64 = 0.5479173166778619
symmetric_test.go:195:
    c.Check(s.At(i, j), check.Equals, v)
... obtained float64 = 0.9948174856356331
... expected float64 = 0.9948174856356332
symmetric_test.go:195:
    c.Check(s.At(i, j), check.Equals, v)
... obtained float64 = 1.3267049981949872
... expected float64 = 1.3267049981949874
symmetric_test.go:195:
    c.Check(s.At(i, j), check.Equals, v)
... obtained float64 = 0.7101181039432486
... expected float64 = 0.7101181039432487
OOPS: 50 passed, 5 FAILED
--- FAIL: Test (1.83s)
FAIL
exit status 1
FAIL	github.com/gonum/matrix/mat64	1.883s

Comment 5 Fedora Release Engineering 2019-04-26 23:27:33 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 6 Fedora Release Engineering 2019-06-03 21:42:52 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 7 Fedora Release Engineering 2019-06-17 20:45:07 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 8 Fedora Release Engineering 2019-07-02 11:14:23 UTC
Dear Maintainer,

your package has not been built successfully in 30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 31 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 30 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/31/Schedule

Comment 9 Fedora Release Engineering 2019-07-02 13:30:51 UTC
Dear Maintainer,

your package has not been built successfully in 30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 31 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 30 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/31/Schedule

Comment 10 Fedora Release Engineering 2019-07-24 13:27:45 UTC
Dear Maintainer,

your package has not been built successfully in 30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 31 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 30 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/31/Schedule


Note You need to log in before you can comment on or make changes to this bug.